cascading.provider

## Class FactoryLoader

- java.lang.Object
- - cascading.provider.ProviderLoader<CascadingFactory>
  - - cascading.provider.FactoryLoader

-     public class FactoryLoader
      extends ProviderLoader<CascadingFactory>

  Class FactoryLoader is an implementation of a `ProviderLoader` and is used to load `CascadingFactory` instances used by internal frameworks.
  See Also:
    `CascadingFactory`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FactoryLoader()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FactoryLoader` | `getInstance()`
    `<Factory extends CascadingFactory> Factory` | `loadFactoryFrom(FlowProcess flowProcess, java.lang.String property, java.lang.Class<Factory> defaultFactory)`

    - ### Methods inherited from class cascading.provider.ProviderLoader

      `createProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FactoryLoader

          public FactoryLoader()

  - ### Method Detail

    - #### getInstance

          public static FactoryLoader getInstance()

    - #### loadFactoryFrom

          public <Factory extends CascadingFactory> Factory loadFactoryFrom(FlowProcess flowProcess,
                                                                   java.lang.String property,
                                                                   java.lang.Class<Factory> defaultFactory)

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.